summaryrefslogtreecommitdiff
path: root/support-files
diff options
context:
space:
mode:
authorunknown <lenz@mysql.com>2003-02-25 15:20:07 +0100
committerunknown <lenz@mysql.com>2003-02-25 15:20:07 +0100
commitbaa0238c9465171c6886add1738dbaadc9ae8b3f (patch)
tree8073215415f8ff5b8fb24a6df0a5e682d9ddac8b /support-files
parentc7c6abeecebe0a859dd1a541cd9ff48b6f8ed0d7 (diff)
downloadmariadb-git-baa0238c9465171c6886add1738dbaadc9ae8b3f.tar.gz
- Heavily reworked the Do-pkg script to use functions from logger.pm
- moved helper functions from Bootstrap script to logger.pm Build-tools/Bootstrap: - renamed logfile -> LOGFILE - moved functions abort() and run_command() to logger.pm for better reusability Build-tools/Do-pkg: - heavily reworked: now make use of the logger.pm helper functions - added new options: --dry-run, --log, --mail, --verbose Build-tools/logger.pm: - added functions run_command() and abort() from Bootstrap script for better code reusability support-files/MacOSX/postinstall.sh: - made script more robust
Diffstat (limited to 'support-files')
-rw-r--r--support-files/MacOSX/postinstall.sh15
1 files changed, 9 insertions, 6 deletions
diff --git a/support-files/MacOSX/postinstall.sh b/support-files/MacOSX/postinstall.sh
index 957717207cd..daaf10bda8f 100644
--- a/support-files/MacOSX/postinstall.sh
+++ b/support-files/MacOSX/postinstall.sh
@@ -8,11 +8,14 @@
# afterwards.
#
-cd @prefix@
-if [ ! -f data/mysql/db.frm ] ; then
- ./scripts/mysql_install_db
-fi
+if cd @prefix@ ; then
+ if [ ! -f data/mysql/db.frm ] ; then
+ ./scripts/mysql_install_db
+ fi
-if [ -d data ] ; then
- chown -R @MYSQLD_USER@ data
+ if [ -d data ] ; then
+ chown -R @MYSQLD_USER@ data
+ fi
+else
+ exit $?
fi